Index: source/appModules/_default.py
===================================================================
--- source/appModules/_default.py	(revision 1846)
+++ source/appModules/_default.py	(working copy)
@@ -61,6 +61,7 @@
 				speech.speakFormattedText(info)
 		else:
 			speech.speakSpelling(info._get_text())
+	script_reportCurrentLine.__doc__=_("Reports the current line under the application cursor. Pressing this key twice will spell the current line")
 
 	def script_reportCurrentSelection(self,keyPress,nextScript):
 		obj=api.getFocusObject()
@@ -72,14 +73,14 @@
 			speech.speakMessage(_("no selection"))
 		else:
 			speech.speakMessage(_("selected %s")%info.text)
-
+	script_reportCurrentSelection.__doc__=_("Reports what is selected in the current application")
 	def script_dateTime(self,keyPress,nextScript):
 		if keyboardHandler.lastKeyCount == 1:
 			text=winKernel.GetTimeFormat(winKernel.getThreadLocale(), winKernel.TIME_NOSECONDS, None, None)
 		else:
 			text=winKernel.GetDateFormat(winKernel.getThreadLocale(), winKernel.DATE_LONGDATE, None, None)
 		speech.speakMessage(text)
-	script_dateTime.__doc__=_("Reports the current date and time")
+	script_dateTime.__doc__=_("The first time this key is pressed reports the system time. The second time this key is pressed  the system date is reported")
 
 	def script_increaseRate(self,keyPress,nextScript):
 		rate=min(getSynth().rate+5, 100)
@@ -98,12 +99,12 @@
 	def script_increaseSetting(self,keyPress,nextScript):
 		#val = globalVars.settingsRing.increase()
 		speech.speakMessage("%s %s" % (globalVars.settingsRing.currentSettingName, globalVars.settingsRing.increase()))
-	script_increaseSetting.__doc__=_("Increases currently active setting in the synth settings ring")
+	script_increaseSetting.__doc__=_("Increases the currently active setting in the synth settings ring")
 
 	def script_decreaseSetting(self,keyPress,nextScript):
 		#val = globalVars.settingsRing.decrease()
 		speech.speakMessage("%s %s" % (globalVars.settingsRing.currentSettingName, globalVars.settingsRing.decrease()))
-	script_decreaseSetting.__doc__=_("Decreases currently active setting in the synth settings ring")
+	script_decreaseSetting.__doc__=_("Decreases the currently active setting in the synth settings ring")
 
 	def script_nextSetting(self,keyPress,nextScript):
 		#name = globalVars.settingsRing.next()
@@ -171,8 +172,8 @@
 		obj=api.getMouseObject()
 		api.setNavigatorObject(obj)
 		speech.speakObject(obj)
+	script_moveNavigatorObjectToMouse.__doc__=_("Moves the navigator object to the mouse object and speaks what is under the mouse")
 
-
 	def script_navigatorObject_current(self,keyPress,nextScript):
 		curObject=api.getNavigatorObject()
 		if not isinstance(curObject,NVDAObject):
@@ -349,7 +350,7 @@
 		info.expand(textHandler.UNIT_LINE)
 		speech.speakMessage(_("top"))
 		speech.speakFormattedText(info)
-	script_review_top.__doc__=_("Moves the review cursor to the top line of the current navigator object")
+	script_review_top.__doc__=_("Moves the review cursor to the top line of the current navigator object and speaks it")
 
 	def script_review_previousLine(self,keyPress,nextScript):
 		info=globalVars.reviewPosition.copy()
@@ -361,7 +362,7 @@
 		if res==0:
 			speech.speakMessage(_("top"))
 		speech.speakFormattedText(info)
-	script_review_previousLine.__doc__=_("Moves the review cursor to the previous line of the current navigator object")
+	script_review_previousLine.__doc__=_("Moves the review cursor to the previous line of the current navigator object and speaks it")
 
 	def script_review_currentLine(self,keyPress,nextScript):
 		from keyboardHandler import lastKeyCount
@@ -371,7 +372,7 @@
 			speech.speakFormattedText(info)
 		else:
 			speech.speakSpelling(info._get_text())
-	script_review_currentLine.__doc__=_("Reports the line of the current navigator object where the review cursor is situated")
+	script_review_currentLine.__doc__=_("Reports the line of the current navigator object where the review cursor is situated. If this key is pressed twice the current line will be spelled")
 
 	def script_review_nextLine(self,keyPress,nextScript):
 		info=globalVars.reviewPosition.copy()
@@ -383,7 +384,7 @@
 		if res==0:
 			speech.speakMessage(_("bottom"))
 		speech.speakFormattedText(info)
-	script_review_nextLine.__doc__=_("Moves the review cursor to the next line of the current navigator object")
+	script_review_nextLine.__doc__=_("Moves the review cursor to the next line of the current navigator object and speaks it")
 
 	def script_review_bottom(self,keyPress,nextScript):
 		info=globalVars.reviewPosition.obj.makeTextInfo(textHandler.POSITION_LAST)
@@ -391,7 +392,7 @@
 		info.expand(textHandler.UNIT_LINE)
 		speech.speakMessage(_("bottom"))
 		speech.speakFormattedText(info)
-	script_review_bottom.__doc__=_("Moves the review cursor to the bottom line of the current navigator object")
+	script_review_bottom.__doc__=_("Moves the review cursor to the bottom line of the current navigator object and speaks it")
 
 	def script_review_previousWord(self,keyPress,nextScript):
 		info=globalVars.reviewPosition.copy()
@@ -403,7 +404,7 @@
 		if res==0:
 			speech.speakMessage(_("top"))
 		speech.speakFormattedText(info)
-	script_review_previousWord.__doc__=_("Moves the review cursor to the previous word of the current navigator object")
+	script_review_previousWord.__doc__=_("Moves the review cursor to the previous word of the current navigator object and speaks it")
 
 	def script_review_currentWord(self,keyPress,nextScript):
 		from keyboardHandler import lastKeyCount
@@ -413,7 +414,7 @@
 			speech.speakFormattedText(info)
 		else:
 			speech.speakSpelling(info._get_text())
-	script_review_currentWord.__doc__=_("Speaks the word of the current navigator object where the review cursor is situated")
+	script_review_currentWord.__doc__=_("Speaks the word of the current navigator object where the review cursor is situated. If this key is pressed twice the word will be spelled")
 
 	def script_review_nextWord(self,keyPress,nextScript):
 		info=globalVars.reviewPosition.copy()
@@ -425,7 +426,7 @@
 		if res==0:
 			speech.speakMessage(_("bottom"))
 		speech.speakFormattedText(info)
-	script_review_nextWord.__doc__=_("Moves the review cursor to the next word of the current navigator object")
+	script_review_nextWord.__doc__=_("Moves the review cursor to the next word of the current navigator object and speaks it")
 
 	def script_review_startOfLine(self,keyPress,nextScript):
 		info=globalVars.reviewPosition.copy()
@@ -435,7 +436,7 @@
 		info.expand(textHandler.UNIT_CHARACTER)
 		speech.speakMessage(_("left"))
 		speech.speakFormattedText(info,handleSymbols=True)
-	script_review_startOfLine.__doc__=_("Moves the review cursor to the start of the line where it is situated, in the current navigator object")
+	script_review_startOfLine.__doc__=_("Moves the review cursor to the start of the line where it is sit&uated, in the current navigator object")
 
 	def script_review_previousCharacter(self,keyPress,nextScript):
 		lineInfo=globalVars.reviewPosition.copy()
@@ -453,7 +454,7 @@
 			globalVars.reviewPosition=charInfo.copy()
 			charInfo.expand(textHandler.UNIT_CHARACTER)
 			speech.speakFormattedText(charInfo,handleSymbols=True)
-	script_review_previousCharacter.__doc__=_("Moves the review cursor to the previous character of the current navigator object")
+	script_review_previousCharacter.__doc__=_("Moves the review cursor to the previous character of the current navigator object and speaks it")
 
 	def script_review_currentCharacter(self,keyPress,nextScript):
 		info=globalVars.reviewPosition.copy()
@@ -468,7 +469,7 @@
 				speech.speakSpelling(hex(c))
 			except:
 				speech.speakFormattedText(info,handleSymbols=True)
-	script_review_currentCharacter.__doc__=_("Reports the character of the current navigator object where the review cursor is situated")
+	script_review_currentCharacter.__doc__=_("Reports the character of the current navigator object where the review cursor is situated. If this key is pressed twice ascii and hexadecimal values are spoken for the character")
 
 	def script_review_nextCharacter(self,keyPress,nextScript):
 		lineInfo=globalVars.reviewPosition.copy()
@@ -486,7 +487,7 @@
 			globalVars.reviewPosition=charInfo.copy()
 			charInfo.expand(textHandler.UNIT_CHARACTER)
 			speech.speakFormattedText(charInfo,handleSymbols=True)
-	script_review_nextCharacter.__doc__=_("Moves the review cursor to the next character of the current navigator object")
+	script_review_nextCharacter.__doc__=_("Moves the review cursor to the next character of the current navigator object and speaks it")
 
 	def script_review_endOfLine(self,keyPress,nextScript):
 		info=globalVars.reviewPosition.copy()
@@ -538,17 +539,17 @@
 
 	def script_showGui(self,keyPress,nextScript):
 		gui.showGui()
-	script_showGui.__doc__=_("Shows the NVDA interface window")
+	script_showGui.__doc__=_("Shows the NVDA interface menu")
 
 	def script_review_sayAll(self,keyPress,nextScript):
 		info=globalVars.reviewPosition.copy()
 		sayAllHandler.readText(info,sayAllHandler.CURSOR_REVIEW)
-	script_review_sayAll.__doc__ = _("reads from review cursor  up to end of current text, moving the review cursor as it goes")
+	script_review_sayAll.__doc__ = _("reads from the review cursor  up to the end of the current text, moving the review cursor as it goes")
 
 	def script_navigatorObject_sayAll(self,keyPress,nextScript):
 		obj=api.getNavigatorObject()
 		sayAllHandler.readObjects(obj)
-	script_navigatorObject_sayAll.__doc__ = _("reads from navigator object ")
+	script_navigatorObject_sayAll.__doc__ = _("reads from the navigator object ")
 
 	def script_sayAll(self,keyPress,nextScript):
 		o=api.getFocusObject()
@@ -560,7 +561,7 @@
 				o=v
 			info=o.makeTextInfo(textHandler.POSITION_CARET)
 			sayAllHandler.readText(info,sayAllHandler.CURSOR_CARET)
-	script_sayAll.__doc__ = _("reads from system caret up to end of text, moving the caret as it goes")
+	script_sayAll.__doc__ = _("reads from the system caret up to the end of the text, moving the caret as it goes")
 
 	def script_reportFormatting(self,keyPress,nextScript):
 		o=api.getFocusObject()
@@ -572,8 +573,8 @@
 				if item.cmd in (textHandler.FORMAT_CMD_SWITCHON,textHandler.FORMAT_CMD_CHANGE):
 					speech.speakMessage("%s %s"%(controlTypes.speechRoleLabels[item.format.role],item.format.value)) 
 
+	script_reportFormatting.__doc__=_("If the cursor is on a character, speaks the format information under the cursor. This includes font information such as name, style, size, bold, or underlined")
 
-
 	def script_reportCurrentFocus(self,keyPress,nextScript):
 		focusObject=api.getFocusObject()
 		if isinstance(focusObject,NVDAObject):
@@ -596,7 +597,7 @@
 		else:
 			speech.speakSpelling(statusBarObject.value)
 		api.setNavigatorObject(statusBarObject)
-	script_reportStatusLine.__doc__ = _("reads the current aplication status bar and moves the navigation cursor to it")
+	script_reportStatusLine.__doc__ = _("reads the current application status bar and moves the navigation cursor to it")
 
 	def script_toggleReportObjectUnderMouse(self,keyPress,nextScript):
 		if config.conf["mouse"]["reportObjectUnderMouse"]:
@@ -638,7 +639,7 @@
 			speech.speakMessage(_("internal text: %s")%winUser.getWindowText(obj.windowHandle))
 			speech.speakMessage(_("text: %s")%obj.windowText)
 			speech.speakMessage("is unicode: %s"%ctypes.windll.user32.IsWindowUnicode(obj.windowHandle))
-	script_test_navigatorWindowInfo.__doc__ = _("reports some info about the current navigator object, mainly useful for developers. When pressed 2 times it copies control id, class and internal text to the windows clipboard")	
+	script_test_navigatorWindowInfo.__doc__ = _("reports some information about the current navigator object, mainly useful for developers. When pressed 2 times it copies control id, class and internal text to the windows clipboard")
 
 	def script_toggleBeepOnProgressBarUpdates(self,keyPress,nextScript):
 		if config.conf["presentation"]["beepOnProgressBarUpdates"]:
@@ -648,7 +649,7 @@
 			onOff=_("on")
 			config.conf["presentation"]["beepOnProgressBarUpdates"]=True
 		speech.speakMessage(_("Beep on progress bar updates")+" "+onOff)
-	script_toggleBeepOnProgressBarUpdates.__doc__=_("Toggles on and off the beeping on progress bar updates")
+	script_toggleBeepOnProgressBarUpdates.__doc__=_("Toggles on and off the beeping of progress bar updates")
 
 	def script_toggleReportDynamicContentChanges(self,keyPress,nextScript):
 		if globalVars.reportDynamicContentChanges:
@@ -717,42 +718,41 @@
 
 	def script_activateGeneralSettingsDialog(self,keyPress,nextScript):
 		mainFrame.onGeneralSettingsCommand(None)
-	script_activateGeneralSettingsDialog.__doc__ = _("Shows NVDA general settings dialog")
+	script_activateGeneralSettingsDialog.__doc__ = _("Shows the NVDA general settings dialog")
 
 	def script_activateSynthesizerDialog(self,keyPress,nextScript):
 		mainFrame.onSynthesizerCommand(None)
-	script_activateSynthesizerDialog.__doc__ = _("Shows NVDA synthesizer dialog")
+	script_activateSynthesizerDialog.__doc__ = _("Shows the NVDA synthesizer dialog")
 
 	def script_activateVoiceDialog(self,keyPress,nextScript):
 		mainFrame.onVoiceCommand(None)
-	script_activateVoiceDialog.__doc__ = _("Shows NVDA voice settings dialog")
+	script_activateVoiceDialog.__doc__ = _("Shows the NVDA voice settings dialog")
 
 	def script_activateKeyboardSettingsDialog(self,keyPress,nextScript):
 		mainFrame.onKeyboardSettingsCommand(None)
-	script_activateKeyboardSettingsDialog.__doc__ = _("Shows NVDA keyboard settings dialog")
+	script_activateKeyboardSettingsDialog.__doc__ = _("Shows the NVDA keyboard settings dialog")
 
 	def script_activateMouseSettingsDialog(self,keyPress,nextScript):
 		mainFrame.onMouseSettingsCommand(None)
-	script_activateMouseSettingsDialog.__doc__ = _("Shows NVDA mouse settings dialog")
+	script_activateMouseSettingsDialog.__doc__ = _("Shows the NVDA mouse settings dialog")
 
 	def script_activateObjectPresentationDialog(self,keyPress,nextScript):
 		mainFrame. onObjectPresentationCommand(None)
-	script_activateObjectPresentationDialog.__doc__ = _("Shows NVDA object presentation settings dialog")
+	script_activateObjectPresentationDialog.__doc__ = _("Shows the NVDA object presentation settings dialog")
 
 	def script_activateVirtualBuffersDialog(self,keyPress,nextScript):
 		mainFrame.onVirtualBuffersCommand(None)
-	script_activateVirtualBuffersDialog.__doc__ = _("Shows NVDA virtual buffers settings dialog")
+	script_activateVirtualBuffersDialog.__doc__ = _("Shows the NVDA virtual buffers settings dialog")
 
 	def script_activateDocumentFormattingDialog(self,keyPress,nextScript):
 		mainFrame.onDocumentFormattingCommand(None)
-	script_activateDocumentFormattingDialog.__doc__ = _("Shows NVDA document formatting settings dialog")
+	script_activateDocumentFormattingDialog.__doc__ = _("Shows the NVDA document formatting settings dialog")
 
-
 	def script_saveConfiguration(self,keyPress,nextScript):
 		mainFrame.onSaveConfigurationCommand(None)
-	script_saveConfiguration.__doc__ = _("Saves current NVDA configuration to file")
+	script_saveConfiguration.__doc__ = _("Saves the current NVDA configuration to nvda.ini")
 
 	def script_revertToSavedConfiguration(self,keyPress,nextScript):
 		mainFrame.onRevertToSavedConfigurationCommand(None)
-	script_revertToSavedConfiguration.__doc__ = _("loads NVDA configuration from file, overriding current changes")
+	script_revertToSavedConfiguration.__doc__ = _("loads the NVDA configuration from nvda.ini, overriding any current changes")
 
